
Foreman - Feature #26887

graphql login: count login failures as brute force attempts

05/26/2019 02:35 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: API   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6799

  

Description

In #26487 a graphql mutation was added that allows users to sign in via username/password. The user is then issued a JWT token.

Failed login attempts at this mutation should count as bruteforce attemps as with the login form.

Related issues:

Related to Foreman - Feature #26487: add graphql jwt login mutation Closed

Related to Foreman - Bug #28860: Wrong Error Message/Return code getting afte... Closed

Associated revisions

Revision 601b910f - 06/16/2019 11:14 AM - Timo Goebel

fixes #26887 - graphql login: count bruteforce attempts

History

#1 - 05/26/2019 02:35 PM - Timo Goebel

- Related to Feature #26487: add graphql jwt login mutation added

#2 - 05/26/2019 02:37 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6799 added

#3 - 06/16/2019 11:15 AM - Tomer Brisker

- Fixed in Releases 1.23.0 added

#4 - 06/16/2019 12:01 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset 601b910faa90b19e79f1f91b02c397841b6c167c.

#5 - 01/26/2020 05:32 PM - Tomer Brisker

- Related to Bug #28860: Wrong Error Message/Return code getting after exceeding the 'failed_login_attempts_limit' added
